Name:           nitrokey-app
Version:        0.6.3
Release:        2%{?dist}
Summary:        Nitrokey's Application

# Licensing issues
# https://github.com/Nitrokey/nitrokey-app/issues/191
#
# Apache (v2.0)
# -------------
# nitrokey-app-0.5.1/src/utils/base32.cpp
# nitrokey-app-0.5.1/src/utils/base32.h
#
# BSD (3 clause)
# --------------
# nitrokey-app-0.5.1/src/inttypes.h
#
# GPL (v2 or later)
# -----------------
# nitrokey-app-0.5.1/src/ui/splash.cpp
# nitrokey-app-0.5.1/src/ui/splash.h
# nitrokey-app-0.5.1/src/utils/gui.cpp
# nitrokey-app-0.5.1/src/utils/gui.h
#
# GPL (v3 or later)
# -----------------
# All others.
License:        GPLv3+ and ASL 2.0 and BSD
URL:            https://github.com/Nitrokey/nitrokey-app
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  systemd
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme
Requires:       systemd-udev

%description
%{summary}.

%prep
%autosetup

%build
mkdir %{_target_platform}
pushd %{_target_platform}
  %cmake .. \
    -DHAVE_LIBAPPINDICATOR=NO         \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    %{nil}
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

# We don't need ubuntu icons
rm -vrf %{buildroot}%{_datadir}/icons/ubuntu*
# We don't need gtk/appindicator stuff,
# libappindicator support will be removed in future
rm -vrf %{buildroot}%{_datadir}/nitrokey/

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%license LICENSE
%{_bindir}/%{name}
# https://github.com/Nitrokey/nitrokey-app/issues/189
%{_sysconfdir}/bash_completion.d/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_udevrulesdir}/*-nitrokey.rules

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 24 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.6.3-1
- Update to 0.6.3 (RHBZ #1415861)

* Mon Jan 09 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.6.2-1
- Update to 0.6.2 (RHBZ #1409940)

* Fri Dec 02 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.6.1-1
- Update to 0.6.1 (RHBZ #1400736)

* Fri Nov 18 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.1-1
- Initial package
